Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80149 - compaq ml530 memory reporting error
Summary: compaq ml530 memory reporting error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 18:22 UTC by scottmray
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:25:44 UTC


Attachments (Terms of Use)

Description scottmray 2002-12-20 18:22:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; Q312461)

Description of problem:
When running RHAS 2.1AS on a Compaq Prolinet ML530 with Dual 800mhz processors 
and two Gigs of pc133 sdram. *memory is oem* They system only reports using 
1gig. I use the free command and /proc/meminfo file to determine. 

This problem occurs on all of my Compaq's (4)
I installed using same identical procedures and a Dell PE-2450 and these 
systems report all 2gigs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install rhas
2.use same install method on both compaq ml530 and dell pe-2450
3.
    

Actual Results:  compaq reports only 1 gig of ram and swap 2gig

dell pe-2450 reports 2gig of ram and swap 2gig

Expected Results:  compaq ml530 should report 2gigs of memory

Additional info:

[root@tnwg01a101 root]# free (comaq ml 530)
             total       used       free     shared    buffers     cached
Mem:       1027800     862584     165216        448     256232     238436
-/+ buffers/cache:     367916     659884
Swap:      2044072     158584    1885488

[root@tdev023ilab root]# free (Dell PE-2450)
             total       used       free     shared    buffers     cached
Mem:       2058916    1914564     144352       1972     153220    1380624
-/+ buffers/cache:     380720    1678196
Swap:      2040244          0    2040244

Comment 1 Alexander Larsson 2003-01-06 15:30:42 UTC
What does /proc/meminfo contain?


Comment 2 scottmray 2003-01-06 17:34:58 UTC
Per Alex Request on 1.6.03

Mem:  1052467200 1009963008 42504192    57344 145096704 508567552
Swap: 2093129728 22728704 2070401024
MemTotal:      1027800 kB
MemFree:         41508 kB
MemShared:          56 kB
Buffers:        141696 kB
Cached:         492772 kB
SwapCached:       3876 kB
Active:          50252 kB
Inact_dirty:    566316 kB
Inact_clean:     21832 kB
Inact_target:   262140 kB
HighTotal:      131056 kB
HighFree:         2036 kB
LowTotal:       896744 kB
LowFree:         39472 kB
SwapTotal:     2044072 kB
SwapFree:      2021876 kB
BigPagesFree:        0 kB


Comment 3 Alexander Larsson 2003-01-06 17:46:49 UTC
This seem to be a kernel issue. Its not recognizing the second gig of memory.
Reassigning.


Comment 4 Arjan van de Ven 2003-01-06 17:50:36 UTC
how much does the bios actually recognize ?
can you attach dmesg output so that we can see the e820 table ?


Comment 5 RHEL Product and Program Management 2007-10-19 19:25:44 UTC
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.